Help and learning

We’re ready to help!

A message is showing, saying I need to update my Firefox browser. But I already updated.

Last updated -

Even though you have the latest version of Firefox you see a message that your browser is outdated and suggests that you upgrade your browser.

If Doodle is compatible with your installed version of Firefox (see our system requirements here), the cause of the problem may be in your Firefox "User Agent" string, that identifies your browser type to websites. You can remedy this problem by resetting your user agent in your Firefox preference settings.

Read here how to reset your Firefox "User Agent" in order to resolve this issue.

Then delete your cache and cookies.
Read here how to delete your browser cache.
Read here how to delete your browser cookies.

Then reload the Doodle page.
Now it should be working again.

Was this article helpful?

Please help us improve the experience by rating this article

You already voted, Thanks!

Thank You